curl --request POST \
--url https://api.example.com/v1/pix-automatico/composite/recurrence \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "acc-123",
"jwkUrl": "example.com/jwks",
"recurrence": {
"contractNumber": "1234567890ABC",
"debtor": {
"cpfCnpj": "04623217035",
"name": "Ciclano da Silva",
"personType": 0
},
"frequency": 1,
"recipient": {
"cnpj": "61695227000193",
"ispb": "04358798",
"name": "Enel"
},
"recurrenceId": "RR0435879820240605njua7shf40o",
"retry": 1,
"startDate": "2024-01-10",
"amount": 110001,
"contractDesc": "Conta de energia",
"endDate": "2026-01-10",
"maxFloorAmount": 55000
},
"recurrencePayloadUrl": "pix.example.com/rec/abc",
"certificateIspb": "04358798",
"txId": "JDPI2024110800000000000000000000001"
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/pix-automatico/composite/recurrence"
payload := strings.NewReader("{\n \"accountId\": \"acc-123\",\n \"jwkUrl\": \"example.com/jwks\",\n \"recurrence\": {\n \"contractNumber\": \"1234567890ABC\",\n \"debtor\": {\n \"cpfCnpj\": \"04623217035\",\n \"name\": \"Ciclano da Silva\",\n \"personType\": 0\n },\n \"frequency\": 1,\n \"recipient\": {\n \"cnpj\": \"61695227000193\",\n \"ispb\": \"04358798\",\n \"name\": \"Enel\"\n },\n \"recurrenceId\": \"RR0435879820240605njua7shf40o\",\n \"retry\": 1,\n \"startDate\": \"2024-01-10\",\n \"amount\": 110001,\n \"contractDesc\": \"Conta de energia\",\n \"endDate\": \"2026-01-10\",\n \"maxFloorAmount\": 55000\n },\n \"recurrencePayloadUrl\": \"pix.example.com/rec/abc\",\n \"certificateIspb\": \"04358798\",\n \"txId\": \"JDPI2024110800000000000000000000001\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountId: 'acc-123',
jwkUrl: 'example.com/jwks',
recurrence: {
contractNumber: '1234567890ABC',
debtor: {cpfCnpj: '04623217035', name: 'Ciclano da Silva', personType: 0},
frequency: 1,
recipient: {cnpj: '61695227000193', ispb: '04358798', name: 'Enel'},
recurrenceId: 'RR0435879820240605njua7shf40o',
retry: 1,
startDate: '2024-01-10',
amount: 110001,
contractDesc: 'Conta de energia',
endDate: '2026-01-10',
maxFloorAmount: 55000
},
recurrencePayloadUrl: 'pix.example.com/rec/abc',
certificateIspb: '04358798',
txId: 'JDPI2024110800000000000000000000001'
})
};
fetch('https://api.example.com/v1/pix-automatico/composite/recurrence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/v1/pix-automatico/composite/recurrence"
payload = {
"accountId": "acc-123",
"jwkUrl": "example.com/jwks",
"recurrence": {
"contractNumber": "1234567890ABC",
"debtor": {
"cpfCnpj": "04623217035",
"name": "Ciclano da Silva",
"personType": 0
},
"frequency": 1,
"recipient": {
"cnpj": "61695227000193",
"ispb": "04358798",
"name": "Enel"
},
"recurrenceId": "RR0435879820240605njua7shf40o",
"retry": 1,
"startDate": "2024-01-10",
"amount": 110001,
"contractDesc": "Conta de energia",
"endDate": "2026-01-10",
"maxFloorAmount": 55000
},
"recurrencePayloadUrl": "pix.example.com/rec/abc",
"certificateIspb": "04358798",
"txId": "JDPI2024110800000000000000000000001"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"qrCode": "00020126...",
"documentId": "52c43361-caa1-4ddb-9152-708426a25db3",
"recurrencePayload": "eyJhbGciOiJQUzUxMi..."
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Create a recurrence-only composite PIX Automatico QR code
Generates a composite PIX QR code carrying ONLY a recurring-payment authorization (PIX Automatico), with no static or dynamic QR data. The recipient city is CRM-sourced from the account.
curl --request POST \
--url https://api.example.com/v1/pix-automatico/composite/recurrence \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "acc-123",
"jwkUrl": "example.com/jwks",
"recurrence": {
"contractNumber": "1234567890ABC",
"debtor": {
"cpfCnpj": "04623217035",
"name": "Ciclano da Silva",
"personType": 0
},
"frequency": 1,
"recipient": {
"cnpj": "61695227000193",
"ispb": "04358798",
"name": "Enel"
},
"recurrenceId": "RR0435879820240605njua7shf40o",
"retry": 1,
"startDate": "2024-01-10",
"amount": 110001,
"contractDesc": "Conta de energia",
"endDate": "2026-01-10",
"maxFloorAmount": 55000
},
"recurrencePayloadUrl": "pix.example.com/rec/abc",
"certificateIspb": "04358798",
"txId": "JDPI2024110800000000000000000000001"
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/pix-automatico/composite/recurrence"
payload := strings.NewReader("{\n \"accountId\": \"acc-123\",\n \"jwkUrl\": \"example.com/jwks\",\n \"recurrence\": {\n \"contractNumber\": \"1234567890ABC\",\n \"debtor\": {\n \"cpfCnpj\": \"04623217035\",\n \"name\": \"Ciclano da Silva\",\n \"personType\": 0\n },\n \"frequency\": 1,\n \"recipient\": {\n \"cnpj\": \"61695227000193\",\n \"ispb\": \"04358798\",\n \"name\": \"Enel\"\n },\n \"recurrenceId\": \"RR0435879820240605njua7shf40o\",\n \"retry\": 1,\n \"startDate\": \"2024-01-10\",\n \"amount\": 110001,\n \"contractDesc\": \"Conta de energia\",\n \"endDate\": \"2026-01-10\",\n \"maxFloorAmount\": 55000\n },\n \"recurrencePayloadUrl\": \"pix.example.com/rec/abc\",\n \"certificateIspb\": \"04358798\",\n \"txId\": \"JDPI2024110800000000000000000000001\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountId: 'acc-123',
jwkUrl: 'example.com/jwks',
recurrence: {
contractNumber: '1234567890ABC',
debtor: {cpfCnpj: '04623217035', name: 'Ciclano da Silva', personType: 0},
frequency: 1,
recipient: {cnpj: '61695227000193', ispb: '04358798', name: 'Enel'},
recurrenceId: 'RR0435879820240605njua7shf40o',
retry: 1,
startDate: '2024-01-10',
amount: 110001,
contractDesc: 'Conta de energia',
endDate: '2026-01-10',
maxFloorAmount: 55000
},
recurrencePayloadUrl: 'pix.example.com/rec/abc',
certificateIspb: '04358798',
txId: 'JDPI2024110800000000000000000000001'
})
};
fetch('https://api.example.com/v1/pix-automatico/composite/recurrence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/v1/pix-automatico/composite/recurrence"
payload = {
"accountId": "acc-123",
"jwkUrl": "example.com/jwks",
"recurrence": {
"contractNumber": "1234567890ABC",
"debtor": {
"cpfCnpj": "04623217035",
"name": "Ciclano da Silva",
"personType": 0
},
"frequency": 1,
"recipient": {
"cnpj": "61695227000193",
"ispb": "04358798",
"name": "Enel"
},
"recurrenceId": "RR0435879820240605njua7shf40o",
"retry": 1,
"startDate": "2024-01-10",
"amount": 110001,
"contractDesc": "Conta de energia",
"endDate": "2026-01-10",
"maxFloorAmount": 55000
},
"recurrencePayloadUrl": "pix.example.com/rec/abc",
"certificateIspb": "04358798",
"txId": "JDPI2024110800000000000000000000001"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"qrCode": "00020126...",
"documentId": "52c43361-caa1-4ddb-9152-708426a25db3",
"recurrencePayload": "eyJhbGciOiJQUzUxMi..."
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Authorizations
JWT bearer token issued by the identity provider.
Body
The CRM account id of the recipient (sources name + city).
"acc-123"
JWK Set URL (urlJwk; no scheme).
"example.com/jwks"
The embedded recurrence configuration (dadosRecorrencia).
Show child attributes
Show child attributes
Recurrence JWS host URL (urlPayloadJsonRec; no scheme).
"pix.example.com/rec/abc"
Indirect-PSP certificate ISPB (ispbCertificadoJws, string).
"04358798"
Conciliation id (idConciliacaoRecebedor).
"JDPI2024110800000000000000000000001"
Response
Created
The generated EMV composite-QR payload (base64-decoded, ready to render).
"00020126..."
The recurrence/charge document id (idDocumento, GUID).
"52c43361-caa1-4ddb-9152-708426a25db3"
The signed recurrence JWS (payloadJwsRecorrencia).
"eyJhbGciOiJQUzUxMi..."
Was this page helpful?

